using System;
using System.Collections.Generic;
using System.Text;

namespace Suchen
{
   class Program
   {
      static void Main(string[] args)
      {
         string s = "Willi wills wissen";
         string suche;
         string marker = "^";
         int pos;

         Console.Write("Wonach soll der Text '{0}' durchsucht werden? ", s);
         suche = Console.ReadLine();
         
         pos = s.IndexOf(suche);

         if (pos >= 0)
         {
            Console.WriteLine(s);
            Console.WriteLine(marker.PadLeft(pos + 1));
         }
         else
         {
            Console.WriteLine("'{0}' wurde nicht gefunden!", suche);
         }
      }
   }
}
